## Typing stubs for six

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`six`](https://github.com/benjaminp/six) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `six`. This version of
`types-six` aims to provide accurate annotations for
`six==1.17.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/six`](https://github.com/python/typeshed/tree/main/stubs/six)
directory.

This package was tested with
mypy 1.13.0,
pyright 1.1.389,
and pytype 2024.10.11.
It was generated from typeshed commit
[`b3d48eab03a2f7f5501f38ac0754edde5d334e1c`](https://github.com/python/typeshed/commit/b3d48eab03a2f7f5501f38ac0754edde5d334e1c).